org.opencv.aruco

## Class Dictionary

- java.lang.Object
- - org.opencv.aruco.Dictionary

-     public class Dictionary
      extends Object

  Dictionary/Set of markers. It contains the inner codification bytesList contains the marker codewords where - bytesList.rows is the dictionary size - each marker is encoded using `nbytes = ceil(markerSize*markerSize/8.)` - each row contains all 4 rotations of the marker, so its length is `4*nbytes` `bytesList.ptr(i)[k*nbytes + j]` is then the j-th byte of i-th marker, in its k-th rotation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Dictionary(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dictionary` | `__fromPtr__(long addr)`
    `static Dictionary` | `create_from(int nMarkers, int markerSize, Dictionary baseDictionary)` SEE: generateCustomDictionary
    `static Dictionary` | `create_from(int nMarkers, int markerSize, Dictionary baseDictionary, int randomSeed)` SEE: generateCustomDictionary
    `static Dictionary` | `create(int nMarkers, int markerSize)` SEE: generateCustomDictionary
    `static Dictionary` | `create(int nMarkers, int markerSize, int randomSeed)` SEE: generateCustomDictionary
    `void` | `drawMarker(int id, int sidePixels, Mat _img)` Draw a canonical marker image
    `void` | `drawMarker(int id, int sidePixels, Mat _img, int borderBits)` Draw a canonical marker image
    `protected void` | `finalize()`
    `Mat` | `get_bytesList()`
    `int` | `get_markerSize()`
    `int` | `get_maxCorrectionBits()`
    `static Dictionary` | `get(int dict)` SEE: getPredefinedDictionary
    `static Mat` | `getBitsFromByteList(Mat byteList, int markerSize)` Transform list of bytes to matrix of bits
    `static Mat` | `getByteListFromBits(Mat bits)` Transform matrix of bits to list of bytes in the 4 rotations
    `long` | `getNativeObjAddr()`
    `void` | `set_bytesList(Mat bytesList)`
    `void` | `set_markerSize(int markerSize)`
    `void` | `set_maxCorrectionBits(int maxCorrectionBits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Dictionary

          protected Dictionary(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Dictionary __fromPtr__(long addr)

    - #### getBitsFromByteList

          public static Mat getBitsFromByteList(Mat byteList,
                                                int markerSize)

      Transform list of bytes to matrix of bits
      Parameters:
        `byteList` - automatically generated
        `markerSize` - automatically generated
      Returns:
        automatically generated

    - #### getByteListFromBits

          public static Mat getByteListFromBits(Mat bits)

      Transform matrix of bits to list of bytes in the 4 rotations
      Parameters:
        `bits` - automatically generated
      Returns:
        automatically generated

    - #### create_from

          public static Dictionary create_from(int nMarkers,
                                               int markerSize,
                                               Dictionary baseDictionary,
                                               int randomSeed)

      SEE: generateCustomDictionary
      Parameters:
        `nMarkers` - automatically generated
        `markerSize` - automatically generated
        `baseDictionary` - automatically generated
        `randomSeed` - automatically generated
      Returns:
        automatically generated

    - #### create_from

          public static Dictionary create_from(int nMarkers,
                                               int markerSize,
                                               Dictionary baseDictionary)

      SEE: generateCustomDictionary
      Parameters:
        `nMarkers` - automatically generated
        `markerSize` - automatically generated
        `baseDictionary` - automatically generated
      Returns:
        automatically generated

    - #### create

          public static Dictionary create(int nMarkers,
                                          int markerSize,
                                          int randomSeed)

      SEE: generateCustomDictionary
      Parameters:
        `nMarkers` - automatically generated
        `markerSize` - automatically generated
        `randomSeed` - automatically generated
      Returns:
        automatically generated

    - #### create

          public static Dictionary create(int nMarkers,
                                          int markerSize)

      SEE: generateCustomDictionary
      Parameters:
        `nMarkers` - automatically generated
        `markerSize` - automatically generated
      Returns:
        automatically generated

    - #### get

          public static Dictionary get(int dict)

      SEE: getPredefinedDictionary
      Parameters:
        `dict` - automatically generated
      Returns:
        automatically generated

    - #### drawMarker

          public void drawMarker(int id,
                                 int sidePixels,
                                 Mat _img,
                                 int borderBits)

      Draw a canonical marker image
      Parameters:
        `id` - automatically generated
        `sidePixels` - automatically generated
        `_img` - automatically generated
        `borderBits` - automatically generated

    - #### drawMarker

          public void drawMarker(int id,
                                 int sidePixels,
                                 Mat _img)

      Draw a canonical marker image
      Parameters:
        `id` - automatically generated
        `sidePixels` - automatically generated
        `_img` - automatically generated

    - #### get_bytesList

          public Mat get_bytesList()

    - #### set_bytesList

          public void set_bytesList(Mat bytesList)

    - #### get_markerSize

          public int get_markerSize()

    - #### set_markerSize

          public void set_markerSize(int markerSize)

    - #### get_maxCorrectionBits

          public int get_maxCorrectionBits()

    - #### set_maxCorrectionBits

          public void set_maxCorrectionBits(int maxCorrectionBits)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8